parse('mp_infammo 1')
function Array(size,value)
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

function totable(t,match)
	local cmd = {}
	if not match then match = "[^%s]+" end
	for word in string.gmatch(t, match) do
		table.insert(cmd, word)
	end 
	return cmd 
end

cs_exp   = Array(32,0)
cs_level = Array(32,0)
cs_req   = Array(32,0)

function cs_msg(clr,txt)
	msg(""..clr..""..txt)
end

function cs_msg2(id,clr,txt)
	msg2(id,""..clr..""..txt)
end

function SaveUser(id,UsgnID)
	local UsgnID = player(id,"usgn")
	file = io.open("sys/lua/save/"..UsgnID..".txt","w") or io.tmpfile()
	local text = ""
	text = tostring(cs_exp[id])
	text = text.." "..cs_level[id]
	file:write(text)
	file:close()
end

function LoadUser(id,file)
	local UsgnID = player(id,"usgn")
	local file = io.open("sys/lua/save/"..UsgnID..".txt","r")
	if file then
		cs_msg2(id,"032096255","Logged In as "..UsgnID.." @C")
		cs_msg2(id,"000255000","Load Succesfully!")
		for line in file:lines() do
          local parses = totable(line)
		  local userExp=tonumber(parses[1])
		if userExp ~= nil then
             cs_exp[id]= userExp
		end
		if (tonumber(parses[2])~=nil) then
             cs_level[id]=tonumber(parses[2])
		end
		end
	else
		cs_msg2(id,"032096255","Logged In as "..UsgnID.." @C")
		cs_msg2(id,"255000000","Load Fail!")
	end
end

function hudtext2(id,tid,color,txt,x,y)
     local toprint = (""..color.." "..txt)
     parse('hudtxt2 '..id..' '..tid..' "'..toprint..'" '..x.." "..y)
end

function ExpInfo(id)
	if id~=nil then
		hudtext2(id,1,"255255255"," -Exp: "..cs_exp[id].."/"..cs_req[id].."  -Level: "..cs_level[id].."/30",5,430)
	end
end

addhook("join","d_join")
function d_join(id)
cs_exp[id]=0
cs_level[id]=1
cs_req[id]=50
if player(id,"usgn") ~= 0 then
LoadUser(id,file)
end
end

addhook("leave","d_leave")
function d_leave(id)
if player(id,"usgn") ~= 0 then
SaveUser(id,UsgnID)
end
cs_exp[id]=0
cs_level[id]=1
cs_req[id]=50
end

addhook("spawn","rv_spawn")
function cs_spawn(id)
ExpInfo(id)
end

addhook("say","saycolor")
function saycolor(id,txt)
msg("255255255"..player(id,"name").."[Level "..cs_level[id].."] says : "..txt)
return 1
end

addhook("second","expsecond")
function expsecond()
for _,id in ipairs(player(0,"tableliving")) do
cs_exp[id]=cs_exp[id]+1
ExpInfo(id)
end
end

addhook("ms100","d_update")
function d_update()
for id=1,32 do
		if player(id,'exists') then
			if cs_exp[id]<50 then --0
				cs_level[id] = 1
				cs_req[id] = 50
			end
			if cs_exp[id]>=50 then --50
				cs_level[id] = 2
				cs_req[id] = 110
			end
			if cs_exp[id]>=110 then --60
				cs_level[id] = 3
				cs_req[id] = 180
			end
			if cs_exp[id]>=180 then --70
				cs_level[id] = 4
				cs_req[id] = 260
			end
			if cs_exp[id]>=260 then --80
				cs_level[id] = 5
				cs_req[id] = 350
			end
			if cs_exp[id]>=350 then --90
				cs_level[id] = 6
				cs_req[id] = 450
			end
			if cs_exp[id]>=450 then --100
				cs_level[id] = 7
				cs_req[id] = 560
			end
			if cs_exp[id]>=560 then --110
				cs_level[id] = 8
				cs_req[id] = 680
			end
			if cs_exp[id]>=680 then --120
				cs_level[id] = 9
				cs_req[id] = 810
			end
			if cs_exp[id]>=810 then --130
				cs_level[id] = 10
				cs_req[id] = 950
			end
			if cs_exp[id]>=950 then --140
				cs_level[id] = 11
				cs_req[id] = 1100
			end
			if cs_exp[id]>=1100 then --150
				cs_level[id] = 12
				cs_req[id] = 1260
			end
			if cs_exp[id]>=1260 then --160
				cs_level[id] = 13
				cs_req[id] = 1430
			end
			if cs_exp[id]>=1430 then --170
				cs_level[id] = 14
				cs_req[id] = 1610
			end
			if cs_exp[id]>=1610 then --180
				cs_level[id] = 15
				cs_req[id] = 1800
			end
			if cs_exp[id]>=1800 then --190
				cs_level[id] = 16
				cs_req[id] = 2000
			end
			if cs_exp[id]>=2000 then --200
				cs_level[id] = 17
				cs_req[id] = 2210
			end
			if cs_exp[id]>=2210 then --210
				cs_level[id] = 18
				cs_req[id] = 2430
			end
			if cs_exp[id]>=2430 then --220
				cs_level[id] = 19
				cs_req[id] = 2660
			end
			if cs_exp[id]>=2660 then --230
				cs_level[id] = 20
				cs_req[id] = 2900
			end
			if cs_exp[id]>=2900 then --240
				rv_level[id] = 21
				rv_req[id] = 3150
			end
			if cs_exp[id]>=3150 then --250
				cs_level[id] = 22
				cs_req[id] = 3410
			end
			if cs_exp[id]>=3410 then --260
				cs_level[id] = 23
				cs_req[id] = 3680
			end
			if cs_exp[id]>=3680 then --270
				cs_level[id] = 24
				cs_req[id] = 3960
			end
			if cs_exp[id]>=3960 then --280
				cs_level[id] = 25
				cs_req[id] = 4250
			end
			if cs_exp[id]>=4250 then --290
				cs_level[id] = 26
				cs_req[id] = 4550
			end
			if cs_exp[id]>=4550 then --300
				cs_level[id] = 27
				cs_req[id] = 4860
			end
			if cs_exp[id]>=4860 then --310
				cs_level[id] = 28
				cs_req[id] = 5180
			end
			if cs_exp[id]>=5180 then --320
				cs_level[id] = 29
				cs_req[id] = 5510
			end
			if cs_exp[id]>=5510 then --330
				cs_level[id] = 30
				cs_req[id] = "Max"
			end
		end
	end
	ExpInfo(id)
end

addhook("kill","rankkill")
function rankkill(id,source,victim,weapon,x,y)
score = player(id,"score")
name = player(id,"name")
	if (score == 5 ) then
		msg("255255255"..name.." has promoted to Noob!@C")
		parse("setmaxhealth "..id.." 110")
	end
	if (score == 10 ) then
		msg("255255255"..name.." has promoted to Killer!@C")
		parse("setmaxhealth "..id.." 115")
	end
	if (score == 15 ) then
		msg("255255255"..name.." has promoted to SuperKiller!@C")
		parse("setmaxhealth "..id.." 120")
	end
	if (score == 20 ) then
		msg("255255255"..name.." has promoted to Great Killer!@C")
		parse("setmaxhealth "..id.." 125")
	end
	if (score == 25 ) then
		msg("255255255"..name.." has promoted to Pro!@C")
		parse("setmaxhealth "..id.." 130")
	end
	if (score == 30 ) then
		msg("255255255"..name.." has promoted to CyberKiller!@C")
		parse("setmaxhealth "..id.." 135")
	end
	if (score == 35 ) then
		msg("255255255"..name.." has promoted to Elemental Gun!@C")
		parse("setmaxhealth "..id.." 140")
	end
	if (score == 40 ) then
		msg("255255255"..name.." has promoted to Hacker..!!!@C")
		parse("setmaxhealth "..id.." 145")
	end
end

addhook("use","usebuttonworkaround")
function usebuttonworkaround(id)
     local x,y=player(id,"tilex"),player(id,"tiley")
     if x==36 and y==83 or x==38 and y==32 then
          menu(id,"Class Shop,Attacker|9000$,Defender|10000$,Super Attacker|14000$,Super Defender|15000$,Black White Aura|16000$")
     end
end
	 
addhook("menu","buymenu")
function buymenu(id,title,buton)
     if title=="Class Shop" then
          if buton==1 then
               if player(id,"money")>=9000 then
                    freeimage(id)
		    id1=image("gfx/ijimae/attacker.png",1,1,200+id)
		    imagealpha(id1,1.0)
                    msg2(id,"000255000Now you are attacker!@C")
		    parse("setmaxhealth "..id.." 125")
                    parse("setmoney "..id.." "..(player(id,"money")-9000))
                    else
                    msg2(id,"255000000You have insufficient funds!@C")
               end
          elseif buton==2 then
               if player(id,"money")>=10000 then
                    freeimage(id)
		    id1=image("gfx/ijimae/defender.png",1,1,200+id)
		    imagealpha(id1,1.0)
		    parse("setmaxhealth "..id.." 200")
                    msg2(id,"000255000Now you are Defender!@C")
                    parse("setmoney "..id.." "..(player(id,"money")-10000))
                    else
                    msg2(id,"255000000You have insufficient funds!@C")
               end
          elseif buton==3 then
               if player(id,"money")>=14000 then
                    freeimage(id)
		    id1=image("gfx/ijimae/suattacker.png",1,1,200+id)
		    imagealpha(id1,1.0)
		    parse("setmaxhealth "..id.." 150")
                    msg2(id,"000255000Now you are Super Attacker!@C")
                    parse("setmoney "..id.." "..(player(id,"money")-14000))
                    else
                    msg2(id,"255000000You have insufficient funds!@C")
               end
          elseif buton==4 then
               if player(id,"money")>=15000 then
                    freeimage(id)
		    id1=image("gfx/ijimae/sudefender.png",1,1,200+id)
		    parse("setmaxhealth "..id.." 250")
		    imagealpha(id1,1.0)
                    msg2(id,"000255000Now you are Super Defender!@C")
                    parse("setmoney "..id.." "..(player(id,"money")-15000))
                    else
                    msg2(id,"255000000You have insufficient funds!@C")
		end
         elseif buton==5 then
               if player(id,"money")>=16000 then
                    freeimage(id)
		    id1=image("gfx/ijimae/blackwhiteaura.png",1,1,200+id)
		    parse("setmaxhealth "..id.." 250")
		    imagealpha(id1,1.0)
                    msg2(id,"000255000Now you are Super Defender!@C")
                    parse("setmoney "..id.." "..(player(id,"money")-16000))
                    else
                    msg2(id,"255000000You have insufficient funds!@C")
end
end
end
end